Skip to main content
`Ctrl`+`K`

# PetscDAView

Views a `PetscDA` and its implementation-specific data structure.

## Synopsis

    PetscErrorCode PetscDAView(PetscDA da, PetscViewer viewer)

Collective

## Input Parameters

- da - the `PetscDA` context

- viewer - the `PetscViewer` to use (or `NULL` for standard output)

## See Also

PetscDA: Data Assimilation, `PetscDAViewFromOptions()`

## Level

beginner

## Location

src/ml/da/interface/petscda.c

## Implementations

PetscDAView_Ensemble() in src/ml/da/impls/ensemble/daensemble.c
PetscDAView_LETKF() in src/ml/da/impls/ensemble/letkf/letkfilter.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages